<script setup lang="ts">
    // import * as Push from '@/utils/push'
    import { isDevMode } from '@/utils/env'

    onLaunch(() => {
        console.log('App Launch')

        // 清除消息角标
        // Push.setBadge(0)

        // 监听在线消息
        // Push.listen()

        // FIXED: 开发模式，关闭启动页，防止调试内部页面时无法进入的问题
        // #ifdef APP-PLUS
        if (isDevMode()) {
            setTimeout(() => {
                plus.navigator.closeSplashscreen()
            }, 3000)
        }
        // #endif
    })

    onShow(() => {
        console.log('App Show')
    })

    onHide(() => {
        console.log('App Hide')
    })

    onError((err) => {
        // Message.toast(`App Error: ${err}`)
        console.error('App Error:', err)
    })

    onUnhandledRejection((err) => {
        // Message.toast(`App UnhandledRejection: ${err}`)
        console.error('App UnhandledRejection:', err)
    })
</script>

<style lang="less">
    /* common css */
    /* #ifndef APP-PLUS-NVUE */
    /* uni.css - 通用组件、模板样式库，可以当作一套ui库应用 */
    @import url('./common/uni.css');
    /* #endif */

    /* 每个页面公共css */
    @import url('./common/fui-app.css');
    @import url('./components/FirstUI/fui-theme/fui-theme.css');

    // 全局样式
    @import url('./common/public.less');
</style>
